package com.ssj.service.weixin.story.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.weixin.story.bean.StoryTask;
import com.ssj.framework.core.common.service.BaseService;


/** 
 * @author  ZhangCaibao 
 * @version 2017年6月12日 下午2:27:26 
 * 类说明 
 */
public interface StoryTaskService extends BaseService<StoryTask, String>{

	public  Page<StoryTask>  findByPage(Map<String, Object> params, Pageable sp);
	
	public StoryTask findByStoryIdAndDaysNum(String storyId ,Integer daysNum);
	/**
	 * 随机获取古诗
	* @return
	* 创建人：ZhangCaibao 
	* 2018年3月22日 上午11:15:33 
	* @StoryTask
	 */
	public StoryTask randStoryTask();
	
	public void insertReadIn(String isbn13,String userId,String userImg);
	/**
	 * 听鉴”新课标古诗,置顶的周页面，
	* @param storyId
	* @return
	* 创建人：ZhangCaibao 
	* 2017年9月20日 上午9:57:10 
	* @List<StoryTask>
	 */
	 public List<StoryTask> findByStoryTaskId();
	 
}
